"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.b64encode = void 0;
/**
 * Base64 encoder that works in browser, worker, node runtimes.
 */
const b64encode = (str) => {
    if (
    // in node env
    typeof Buffer !== 'undefined') {
        return Buffer.from(str).toString('base64');
    }
    else {
        // in worker env
        return btoa(str);
    }
};
exports.b64encode = b64encode;
//# sourceMappingURL=base-64-encode.js.map