"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMessageId = void 0;
const secure_1 = require("@lukeed/uuid/secure");
/**
 * get a unique messageId with a very low chance of collisions
 * using @lukeed/uuid/secure uses the node crypto module, which is the fastest
 * @example "node-next-1668208232027-743be593-7789-4b74-8078-cbcc8894c586"
 */
const createMessageId = () => {
    return `node-next-${Date.now()}-${(0, secure_1.v4)()}`;
};
exports.createMessageId = createMessageId;
//# sourceMappingURL=get-message-id.js.map